Summary: Tools for reading Macintosh HFS+ volumes
Name: hfsplusutils
Version: 1.0.4
Release: %mkrel 4

License: GPLv2+
Group: File tools
URL: ftp://ftp.penguinppc.org/users/hasi
Source0: ftp://ftp.penguinppc.org/users/hasi/hfsplus_%{version}.src.tar.xz
Patch0: hfsplusutils-1.0.4-nullisnotachar.patch
Patch1: hfsplusutils-1.0.4-errno.patch
Patch2: hfsplusutils-1.0.4-includes.patch
Patch3: hfsplusutils-1.0.4-gcc4.patch
Patch4: hfsplusutils-1.0.4-memset.patch
Patch5: hfsplus-1.0.4-automake-1.13.patch
BuildRequires: automake, autoconf, libtool

%description
This package is a set of tools that allow access to HFS+ formatted
volumes. HFS+ is a modernized version of Apple Computers HFS
Filesystem.

%prep
%setup -q -n hfsplus-1.0.4

%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1 -b .automake-1_13

sed -i -e 's/^CFLAGS\s/AM_CFLAGS /' {libhfsp/src,src}/Makefile.am

%build
# generate build scripts with our autotools
autoreconf -fi

%configure2_5x --disable-shared --disable-dependency-tracking
%make

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT SUBDIRS=src install
ln -sf hpfsck $RPM_BUILD_ROOT/%{_bindir}/fsck.hfsplus
# Remove zero-length doc file
rm -f mail/extents.diff
mkdir -p $RPM_BUILD_ROOT/%{_mandir}/man1
gzip -c < doc/man/hfsp.man > $RPM_BUILD_ROOT/%{_mandir}/man1/hfsp.1.gz
for a in hpcd hpcopy hpfsck hpls hpmkdir hpmount hppwd hprm hpumount fsck.hfsplus ; do
	ln -sf hfsp.1.gz $RPM_BUILD_ROOT/%{_mandir}/man1/$a.1.gz
done
%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%{_bindir}/hpcd
%{_bindir}/hpcopy
%{_bindir}/hpfsck
%{_bindir}/fsck.hfsplus
%{_bindir}/hpls
%{_bindir}/hpmkdir
%{_bindir}/hpmount
%{_bindir}/hppwd
%{_bindir}/hprm
%{_bindir}/hpumount
%{_mandir}/man1/*
%doc doc/*.html
%doc mail
%doc AUTHORS NEWS README



%changelog
* Mon Feb 17 2014 bb <bb> 1.0.4-4pclos2014
- rebuild for 64bit
